org.jboss.classfilewriter.code

## Class TableSwitchBuilder.ValuePair

- java.lang.Object
- - org.jboss.classfilewriter.code.TableSwitchBuilder.ValuePair

Enclosing class:
  TableSwitchBuilder

    public static class TableSwitchBuilder.ValuePair
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TableSwitchBuilder.ValuePair(AtomicReference<BranchEnd> branchEnd)`
`TableSwitchBuilder.ValuePair(CodeLocation location)`

### Method Summary

Methods
`AtomicReference<BranchEnd>` `getBranchEnd()`
`CodeLocation` `getLocation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableSwitchBuilder.ValuePair

    public TableSwitchBuilder.ValuePair(AtomicReference<BranchEnd> branchEnd)

#### TableSwitchBuilder.ValuePair

    public TableSwitchBuilder.ValuePair(CodeLocation location)

### Method Detail

#### getLocation

    public CodeLocation getLocation()

#### getBranchEnd

    public AtomicReference<BranchEnd> getBranchEnd()